[#if mode == "create"]
	[@ui.bambooSection dependsOn='projectType' showOn='Maven']
		[#if mavenJob??]
			[@ui.messageBox type="info" titleKey="org.whitesource.bamboo.plugins.projectType.detection.maven" /]
		[#else]
			[@ui.messageBox type="warning" titleKey="org.whitesource.bamboo.plugins.projectType.maven.error" /]
		[/#if]
	[/@ui.bambooSection]

	[@ui.bambooSection dependsOn='projectType' showOn='Freestyle']
		[@ui.messageBox type="info" titleKey="org.whitesource.bamboo.plugins.projectType.detection.generic" /]
	[/@ui.bambooSection]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.apiKey" name="apiKey" cssClass="long-field" required='true'/]
	<div class="matrix">
	[@ww.radio labelKey="org.whitesource.bamboo.plugins.projectType" name="projectType" list="projectTypes" toggle="true"/]
	</div>
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.userKey" name="userKey" cssClass="long-field"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.checkPolicies" name="checkPolicies"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.forceUpdate" name="forceUpdate"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.failOnError" name="failOnError" /]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.failOnConnectionError" name="failOnConnectionError" value='true' toggle='true'/]
	[@ui.bambooSection dependsOn='failOnConnectionError' showOn='true' ]
		[@ww.select labelKey='org.whitesource.bamboo.plugins.connectionRetries' name="connectionRetries" required='false' list=[0,1,2,3,4,5,6,7,8,9,10] /]
	[/@ui.bambooSection]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.proxySettings" name='proxySettings' toggle='true'/]
	[@ui.bambooSection dependsOn='proxySettings' showOn='true']
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyHost" name="proxyHost" required='false' /]
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyPort" name="proxyPort" required='false'  /]
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyUserName" name="proxyUserName" required='false' /]
		[@ww.password   labelKey="org.whitesource.bamboo.plugins.proxyUserPassword" name="proxyUserPassword" required='false'  /]
	[/@ui.bambooSection]
[#elseif mode == "edit"]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.apiKey" name="apiKey" cssClass="long-field" required='true'/]
	[@ww.label labelKey="org.whitesource.bamboo.plugins.projectType" name="projectType"/]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.userKey" name="userKey" cssClass="long-field"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.checkPolicies" name="checkPolicies"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.forceUpdate" name="forceUpdate"/]
	[@ww.hidden  name="projectTypeForValidation" value="${projectType}"/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.failOnError" name="failOnError" /]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.failOnConnectionError" name='failOnConnectionError' toggle='true'/]
	[@ui.bambooSection dependsOn='failOnConnectionError' showOn='true' ]
		[@ww.select labelKey='org.whitesource.bamboo.plugins.connectionRetries' name="connectionRetries" required='false' list=[0,1,2,3,4,5,6,7,8,9,10] /]
	[/@ui.bambooSection]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.proxySettings" name='proxySettings' toggle='true'/]
	[@ui.bambooSection dependsOn='proxySettings' showOn='true' ]
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyHost" name="proxyHost" required='false'/]
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyPort" name="proxyPort" required='false'/]
		[@ww.textfield  labelKey="org.whitesource.bamboo.plugins.proxyUserName" name="proxyUserName" required='false' /]
		[@ww.password   labelKey="org.whitesource.bamboo.plugins.proxyUserPassword" name="proxyUserPassword" required='false' /]
	[/@ui.bambooSection]
[/#if]
[@ww.textfield labelKey="org.whitesource.bamboo.plugins.wssUrl" name="wss.url" cssClass="long-field" required='false'/]
[@ww.textfield labelKey="org.whitesource.bamboo.plugins.productToken" name="productToken" cssClass="long-field" required='false'/]
[@ww.textfield labelKey="org.whitesource.bamboo.plugins.productVersion" name="productVersion" cssClass="long-field" required='false'/]
[@ww.textfield labelKey="org.whitesource.bamboo.plugins.projectToken" name="projectToken" cssClass="long-field" required='false'/]
[@ui.bambooSection dependsOn='projectType' showOn='Maven']
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.moduleTokens" cssClass="long-field" name="moduleTokens" required='false'/]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.modulesIncludePattern" name="modulesIncludePattern"  cssClass="long-field" required='false'/]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.modulesExcludePattern" name="modulesExcludePattern" cssClass="long-field" required='false'/]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.mavenPath" name="mavenPath" cssClass="long-field" required='false'/]
	[@ww.checkbox labelKey="org.whitesource.bamboo.plugins.ignorePOM" name="ignorePOM"/]
[/@ui.bambooSection]
[@ui.bambooSection dependsOn='projectType' showOn='Freestyle']
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.filesIncludePattern" name="filesIncludePattern" cssClass="long-field" required='true'/]
	[@ww.textfield labelKey="org.whitesource.bamboo.plugins.filesExcludePattern" name="filesExcludePattern" cssClass="long-field" required='false'/]
[/@ui.bambooSection]
[@ww.textfield labelKey="org.whitesource.bamboo.plugins.bambooSystemProperties" name="bambooSystemProperties" cssClass="long-field" required='false'/]